﻿-- translations taken from wowhead.com and by Phops Illidan(EU)
local L = LibStub("AceLocale-3.0"):NewLocale("ShockAndAwe", "frFR", false);
if not L then return end

L["About"] = "À propos"
L["Version"] = "Version" -- needs translation
L["__URL__"] = "http://wow.curse.com/downloads/wow-addons/details/shockandawe.aspx"

------------------------------------------------------------------
-- Spell Names these MUST be localised for addon to work
------------------------------------------------------------------

L["Stormstrike"] = "Frappe-temp\195\170te"
L["Windfury Attack"] = "Attaque Furie-des-vents"
L["Frost Shock"] = "Horion de givre"
L["Earth Shock"] = "Horion de terre"
L["Flame Shock"] = "Horion de flammes"
L["Wind Shock"] = "Horion de vent" 
L["Lava Lash"] = "Fouet de lave"
L["WF_Attack"] = "Votre Attaque(.+)[%s%(](%d+)"
L["Maelstrom"] = "Arme du Maelstr\195\182m"
L["WaterShield"] = "Bouclier d'eau"
L["LightningShield"] = "Bouclier de foudre" 
L["EarthShield"] = "Bouclier de terre"
L["ElementalDevastation"] = "D\195\169vastation \195\169l\195\169mentaire"
L["Flurry"] = "Rafale" 
L["UnleashedRage"] = "Rage lib\195\169r\195\169e"
L["Windfury Weapon"] = "Arme Furie-des-vents"
L["Flametongue Weapon"] = "Arme Langue de feu"
L["Frostbrand Weapon"] = "Arme de givre"
L["Chain Lightning"] = "Cha\195\174ne d'\195\169clairs"
L["Heroic Presence"] = "Pr\195\169sence h\195\169ro\195\175que"
L["One-Handed Axes"] = "Haches \195\160 une main"
L["Two-Handed Axes"] = "Haches \195\160 deux mains"
L["Shamanistic Rage"] = "Rage du chaman"
L["DPS"] = "(%d+,%d) d\195\169g\195\162ts par seconde"
L["Feral Spirit"] = "Esprit farouche"
L["Out of Range"] = true

------------------
-- Help section
------------------

L["help"] = "All options can be configured more easily using the Blizzard options menu. Press ESC and select addons then click on ShockAndAwe to configure." -- needs translation
L["help1"] = "All options can be configured more easily using the Blizzard options menu."
L["help2"] = "Press ESC and select addons then click on ShockAndAwe to configure."
L["help_width"] = "La taille de la barre, en pixels."
L["help_scale"] = "Pour régler la taille des barres. (0.25-3)"
L["help_reset"] = "Retour ShockAndAwe la configuration par défaut."
L["help_reset_uptime"] = "Reset uptime frame to default values" -- needs translation
L["help_reset_priority"] = "Reset priority frame to default values" -- needs translation
L["help_testbar"] = "Démarrer un test."
L["help_display"] = "Cacher ou afficher les barres. Quand c'est affiché, faire un clic gauche pour bouger les barres."
L["help_ss"] = "Activer ou désactiver la barre de Frappe-temp\195\170te."
L["help_wf"] = "Activer ou désactiver la barre de Furie-des-vents."
L["help_twist"] = "Activer ou désactiver la barre de twisting."
L["help_shock"] = "Activer ou désactiver la barre des horions."
L["help_arena"] = "Activate or deactivate arena 4 piece bonus (9 second stormstrikes)."
L["help_shield"] = "Activer ou désactiver la barre du bouclier d'eau."
L["help_maelstrom"] = "Activate or deactivate the maelstrom weapon bar."  -- needs translation
L["help_lavalash"] = "Activate or deactivate Lava Lash bar." -- needs translation
L["help_version"] = "Show version information" -- needs translation
L["help_windshock"] = "Activate or deactivate the icon to warn if you should use wind shock" -- needs translation
L["help_threat"] = "Percentage threat that triggers display of windshock warning" -- needs translation
L["help_debug"] = "Activate or deactivate debug messages" -- needs translation
L["help_textonbars"] = "Activate or deactivate text displays on bars" -- needs translation
L["help_showuptime"] = "Activate or deactivate Uptime frame" -- needs translation
L["help_activeshields"] = "Untick to hide shield bar whilst its active" -- needs translation
L["help_gcd"] = "Activate or deactivate display of global cooldown bar" -- needs translation
L["help_mw5sound"] = "Select sound to play every X seconds when Maelstrom Weapon has 5 stacks"
L["help_mw5soundplay"] = "Activate or deactivate playing sound when Maelstrom Weapon has 5 stacks"
L["help_mw5flash"] = "Activate or deactive flashing of Maelstrom Weapon bar when 5 stacks achieved"
L["help_mw4sound"] = "Select sound to play when Maelstrom Weapon reaches 4 stacks"
L["help_mw4soundplay"] = "Activate or deactivate playing sound when Maelstrom Weapon reaches 4 stacks"
L["help_mw5repeat"] = "Select interval after which Maelstrom weapon 5 stack sound repeats"
L["help_showwftotals"] = "Display total Windfury damage using Scrolling Combat Text if installed"
L["help_priority"] = "Activate or deactivate Priority Icon frame"
L["help_cooldown"] = "Seconds left on cooldown to consider showing priority. eg: 0 means wait until Cooldown over before option available. Whereas 0.25 means any skill with 0.25 sec or less of Cooldown show it as next priority."
L["help_export"] = "Export character data for use with EnhSim"
L["help_news"] = "Display the latest news item about ShockAndAwe"
L["help_disable"] = "Tick to disable the display of timer bars out of combat"
L["help_fstimeleft"] = "Seconds left on Flame Shock debuff before showing priority. ie: 3 means only show Flame Shock in prioirty if less than 3 seconds left on target's debuff."
L["help_srmana"] = "Percentage mana left at which Priority frame shows Shamanistic Rage icon. Use 0 to indicate disable this option."
L["help_worldbossonly"] = "Restrict showing of Wind shock in priority frame to times when target is a World Boss."
L["help_config"] = "Display easy to use graphical config panel"
L["help_combopoints"] = "Show Maelstrom Weapon stacks as combo points on the priority frame"
L["help_baricons"] = "Show icon alongside each bar to help identify which bar it is"
L["help_feralspirit"] = "Activate or deactivate the Feral Spirit bar"
L["help_totemtimeleft"] = "Seconds left on Totem buff before showing priority. ie: 20 means show priority placement of Totem if less than 20 seconds left before totem expires."
L["help_outofrange"] = "Display a large warning message if you are out of range of target"

----------------
-- Menu section
----------------

L["Timer Bars"] = true
L["Disable out of combat"] =true
L["Bar Colours"] = true
L["Uptime Frame"] = true
L["Shield Bar"] = true
L["Maelstrom Bar"] = true
L["Stormstrike Bar"] = true
L["Windfury Bar"] = true
L["Shock Bar"] = true
L["Lava Lash Bar"] = true
L["Shock Rotation"] = true
L["Wind Shock"] = true
L["4 piece arena bonus"] = true
L["Text Display"] = true
L["Bar Width"] = true
L["Bar Scale"] = true
L["Water Shield Alpha"] = true
L["Maelstrom Alpha"] = true
L["Maelstrom Full Alpha"] = true
L["Show Active Shields"] = true
L["Threat Threshold"] = true
L["Cooldown Threshold"] = true
L["Display Test Bar"] = true
L["Show Frame"] = true
L["Reset Bars"] = true
L["Reset Uptime"] = true
L["Reset Priority"] = true
L["Reset Session info"] = true
L["Version"] = true
L["Move Frames"] = true
L["Debug mode"] = true
L["Bar Texture"] = true
L["Border Texture"] = true
L["Bar Border Texture"] = true
L["Bars Section"] = true
L["Priority Section"] = true
L["Display frame title"] = true
L["Display News"] = true
L["Frame Options"] = true
L["Misc Options"] = true
L["Media Options"] = true
L["Maelstrom Sound 4"] = true
L["Maelstrom Sound 5"] = true
L["Shield Sound"] = true
L["Sound Repeat Interval"] = true
L["Maelstrom Flash"] = true
L["Bar Font"] = true
L["Bar Font Size"] = true
L["Bar Font Effect"] = true
L["Message Font"] = true
L["Message Font Size"] = true
L["Message Font Effect"] = true
L["OUTLINE"] = true
L["THICKOUTLINE"] = true
L["MONOCHROME"] = true
L["Maelstrom Weapon Sound"] = true
L["GCD"] = "Global Cooldown Bar" 
L["Stats Frame"] = true
L["Show Windfury Totals"] = true 
L["Windfury Totals Colour"] = true
L["Export to Sim"] = true
L["Flame Shock Time Left"] = true 
L["Totem Time Left"] = true
L["Shamanistic Rage Level%"] = true 
L["World Boss Only"] = true
L["Configure Options"] = true
L["Combo Points"] = true
L["Show bar icons"] = true
L["Feral Spirit Bar"] = true
L["Drop Totem"] = true

------------------
-- Config section
------------------

L["config_SS_on"] = "Stormstrike bar will now be displayed when cast"
L["config_SS_off"] = "Stormstrike bar will NOT now be displayed when cast"
L["config_WF_on"] = "Windfury bar will now be displayed when cast"
L["config_WF_off"] = "Windfury bar will NOT now be displayed when cast"
L["config_Shock_on"] = "Shock bar will now be displayed when cast"
L["config_Shock_off"] = "Shock bar will NOT now be displayed when cast"
L["config_Sheild_on"] = "Shield bar will now be displayed"
L["config_Sheild_off"] = "Shield bar will NOT now be displayed"
L["config_Arena_on"] = "Using Arena kit bonus with Stormstrike timer"
L["config_Arena_off"] = "NOT using Arena kit bonus with Stormstrike timer"
L["config_Uptime_on"] = "Display of Uptime frame enabled"
L["config_Uptime_off"] = "Display of Uptime frame disabled"
L["config_MW_on"] = "Maelstrom bar will now be displayed"
L["config_MW_off"] = "Maelstrom bar will NOT now be displayed"
L["config_LL_on"] = "Lava Lash bar will now be displayed"
L["config_LL_off"] = "Lava Lash  bar will NOT now be displayed"
L["config_GCD_on"] = "Global Cooldown bar will now be displayed"
L["config_GCD_off"] = "Global Cooldown bar will NOT now be displayed"
L["config_debug_on"] = "Debug info will now be displayed"
L["config_debug_off"] = "Debug info will NOT now be displayed"
L["config_WSicon_on"] = "Windshock icon will now be displayed"
L["config_WSicon_off"] = "Windshock icon will NOT now be displayed"
L["config_Barstext_on"] = "Text info on bars will now be displayed"
L["config_Barstext_off"] = "Text info on bars will NOT now be displayed"
L["config_Threat"] = "Threat threshold for wind shock display set to : "
L["config_Cooldown"] = "Cooldown threshold for priority icon display set to : "
L["config_FSTimeLeft"] = "Flame Shock threshold for priority icon display set to : "
L["config_SRMana"] = "Shamanistic Rage percentage mana at which priority icon should display set to : "
L["config_ShieldAlpha"] = "Shield Alpha set to : "
L["config_MSAlpha_ooc"] = "Maelstrom Alpha out of Combat set to : "
L["config_MSAlpha_combat"] = "Maelstrom Alpha in Combat set to : "
L["config_reset"] = "Reset bar frame to default values"
L["config_ActiveShields_on"] = "The Shield bar will be shown when the shield is active"
L["config_ActiveShields_off"] = "The Shield bar will be hidden when the shield is active"
L["config_mw5soundplay_on"] = "Will play a sound when Maelstrom Weapon reaches 5 stacks"
L["config_mw5soundplay_off"] = "Will NOT play a sound when Maelstrom Weapon reaches 5 stacks"
L["config_mw5flash_on"] = "Flash the Maelstrom Weapon bar when it reaches 5 stacks"
L["config_mw5flash_off"] = "Do NOT flash the Maelstrom Weapon bar when it reaches 5 stacks"
L["config_mw4soundplay_on"] = "Will play a sound when Maelstrom Weapon reaches 4 stacks"
L["config_mw4soundplay_off"] = "Will NOT play a sound when Maelstrom Weapon reaches 4 stacks"
L["config_wfcalc_on"] = "Total Windfury damage will be displayed in Scrolling Combat Text (if installed)"
L["config_wfcalc_off"] = "Total Windfury damage will NOT be displayed in Scrolling Combat Text (if installed)"
L["config_priority_on"] = "Priority Frame is enabled"
L["config_priority_off"] = "Priority Frame is disabled"
L["config_prioritytitle_on"] = "Priority Frame's title will now be displayed"
L["config_prioritytitle_off"] = "Priority Frame's title will NOT now be displayed"
L["config_disable_on"] = "Timer bars will now be hidden out of combat"
L["config_disable_off"] = "Timer bars will remain displayed out of combat"
L["config_worldboss_on"] = "Windshock will only be shown if threat exceeded when target is a world boss"
L["config_worldboss_off"] = "Windshock will be shown if threat exceeded on any target"
L["config_combopoints_on"] = "Maelstrom Weapon combo points will now be shown on the priority frame"
L["config_combopoints_off"] = "Maelstrom Weapon combo points will NOT now be shown on the priority frame"
L["config_baricons_on"] = "Icons will now be shown next to each timer bar"
L["config_baricons_off"] = "Icons will NOT now be shown next to each timer bar"
L["config_feralspirit_on"] = "Feral Spirit Bars will now be shown"
L["config_feralspirit_off"] = "Feral Spirit Bars will NOT now be shown"
L["config_TotemTimeLeft"] = "Totem threshold for priority icon display set to : "
L["config_srmana"] = "Shamanistic Rage warning mana percentage set to : "

-------------------
-- Colours section
-------------------

L["Shields"] = true
L["Shocks"] = true
L["Other Bars"] = true
L["Water Shield Colour"] = true
L["Lightning Shield Colour"] = true
L["Earth Shield Colour"] = true
L["Shield Down Colour"] = true
L["Flame Shock Colour"] = true
L["Earth Shock Colour"] = true
L["Frost Shock Colour"] = true
L["Wind Shock Colour"] = true
L["Maelstrom Bar Colour"] = true
L["Stormstrike Bar Colour"] = true
L["Windfury Bar Colour"] = true
L["Lava Lash Bar Colour"] = true
L["Feral Spirit Bar Colour"] = true
L["Feral Spirit CD Bar Colour"] = true
L["Flurry Colour"] = true
L["Elemental Devastation Colour"] = true
L["Unleashed Rage Colour"] = true

L["colWaterShield"] = "Select which colour you want to use when water shield is active"
L["colLightningShield"] = "Select which colour you want to use when lightning shield is active"
L["colEarthShield"] = "Select which colour you want to use if earth shield is active on you"
L["colNoShield"] = "Select which colour you want to use when no shield is active"
L["colFlameShock"] = "Select which colour to show on shock bar when last shock was Flame Shock"
L["colEarthShock"] = "Select which colour to show on shock bar when last shock was Earth Shock"
L["colFrostShock"] = "Select which colour to show on shock bar when last shock was Frost Shock"
L["colWindShock"] = "Select which colour to show on shock bar when last shock was Wind Shock"
L["colMaelstrom"] = "Select which colour to show on Maelstrom Weapon bar when its on cooldown"
L["colMaelstromAlpha"] = "Select how bright the Maelstrom Weapon bar is when you don't have 5 stacks"
L["colMaelstromFullAlpha"] = "Select how bright the Maelstrom Weapon bar is when you have 5 stacks"
L["colStormstrike"] = "Select which colour to show on Stormstike bar when its on cooldown"
L["colWindfury"] = "Select which colour to show on Windfury bar when its on cooldown"
L["colLavaLash"] = "Select which colour to show on Lava Lash bar when its on cooldown"
L["colFeralSpirit"] = "Select which colour to show on Feral Spirits bar when its on cooldown"
L["colFeralSpiritCD"] = "Select which colour to show on Feral Spirits CD bar when its on cooldown"
L["colFlurry"] = "Select which colour to show on Flurry Uptime bar"
L["colED"] = "Select which colour to show on Elemental Devastation Uptime bar"
L["colUR"] = "Select which colour to show on Unleashed Rage Uptime bar"
L["colWFTotals"] = "Select which colour to display the total Windfury damage"

-----------------------
-- Warning Options
-----------------------

L["Warning Options"] = true
L["Shield Warning"] = true
L["help_shieldwarning"] = "Activate or deactivate warning when your shield expires"
L["Weapon Inbue Warning"] = true
L["help_weaponwarning"] = "Activate or deactivate warning when your weapon imbue expires or you enter combat without weapons imbued"
L["Main Hand Imbue"] = true
L["Off Hand Imbue"] = true
L["config_shieldwarn_on"] = "Audible warning when shield drops will now be played"
L["config_shieldwarn_off"] = "Audible warning when shield drops will NOT now be played"
L["config_weaponwarn_on"] = "Warning when weapon imbue fades will now be given"
L["config_weaponwarn_off"] = "Warning when weapon imbue fades will NOT now be given"
L["config_rangewarn_on"] = "Warning when you are out of range of target will now be given"
L["config_rangewarn_off"] = "Warning when you are out of range of target will NOT now be given"
L["Weapon Buff Expired"] = true
L["Missing Weapon Buffs"] = true
L["Expired"] = true
L["Weapon Rebuff time"] = true
L["help_weaponrebuff"] = "Warn if weapon buffs have less than X seconds left"
L["Use Warning Frame"] = true
L["help_warningframe"] = "Display warnings in message frame"
L["config_warnframe_on"] = "Warnings will now be shown in the warning message frame"
L["config_warnframe_off"] = "Warnings will NOT now be shown in the warning message frame"
L["Warning Msg Colour"] = true
L["colWarningMessage"] = "Select which colour to display the warning messages in"
L["Warning Message Duration"] = true

------------
-- Uptime
------------

L["uptime_session"] = "Session Uptime"
L["uptime_lastfight"] = "Last Fight Uptime"
L["uptime_reset"] = "Reset uptime frame to default values"
L["Uptime is %s (%s)"] = "Uptime is %s (%s)"
L["Reset Session statistics"] = true

---------------------------
-- WF/SS total damage 
---------------------------

L["MH Windfury"] = "Main hand Windfury"
L["OH Windfury"] = "Off-hand Windfury"
L["Single crit"] = true
L["DOUBLE crit"] = true
L["TRIPLE crit"] = true
L["QUADRUPLE crit"] = true
L["miss"] = true

---------------
-- Priorities
---------------

L["MW5 Lightning Bolt"] = true
L["MW5 Chain Lightning"] = true
L["Earth Shock if SS"] = true
L["none"] = true

L["Priority Frame"] = true
L["First Priority"] = true
L["Second Priority"] = true
L["Third Priority"] = true
L["Fourth Priority"] = true
L["Fifth Priority"] = true
L["Sixth Priority"] = true
L["Next Priority"] = true

--------------
-- Bindings
-------------

L["Keybind Title"] = "ShockAndAwe Keybinds"
L["MH Weapon Rebuff"] = true
L["OH Weapon Rebuff"] = true

-----------
-- News
-----------

L["Website"] = true
L["Command"] = true
L["Config"] = true
L["help_command"] = "Or if you are feeling machocistic - Use /saa for command line configuration"

-----------
-- Export
-----------

L["ShockAndAwe Export to EnhSim\n"] = true
L["export_enhsim"] = "ShockAndAwe Export to EnhSim\nPress Ctrl-C to copy details\n(Yes! I know it looks empty, it isn't)"
L["warn_sim_export"] = "Warning you have buffs that MIGHT effect the Sim accuracy. Cancel them and export again for accurate values."
